summaryrefslogtreecommitdiffstats
path: root/third_party/python/gyp/buildbot/travis-checkout.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
commit36d22d82aa202bb199967e9512281e9a53db42c9 (patch)
tree105e8c98ddea1c1e4784a60a5a6410fa416be2de /third_party/python/gyp/buildbot/travis-checkout.sh
parentInitial commit. (diff)
downloadfirefox-esr-upstream.tar.xz
firefox-esr-upstream.zip
Adding upstream version 115.7.0esr.upstream/115.7.0esrupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/python/gyp/buildbot/travis-checkout.sh')
-rwxr-xr-xthird_party/python/gyp/buildbot/travis-checkout.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/third_party/python/gyp/buildbot/travis-checkout.sh b/third_party/python/gyp/buildbot/travis-checkout.sh
new file mode 100755
index 0000000000..bc42f43754
--- /dev/null
+++ b/third_party/python/gyp/buildbot/travis-checkout.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# Copyright 2018 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+
+get_depot_tools() {
+ cd
+ git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git
+ export PATH="$HOME/depot_tools:$PATH"
+}
+
+gclient_sync() {
+ cd "${TRAVIS_BUILD_DIR}"/..
+ gclient config --unmanaged https://github.com/chromium/gyp.git
+ gclient sync
+ cd gyp
+}
+
+main() {
+ get_depot_tools
+ gclient_sync
+}
+
+main "$@"